Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface CacheRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface CacheRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

Created by IntelliJ IDEA. User: avijay Date: Aug 10, 2004 Time: 12:27:29 PM To change this template use File | Settings | File Templates.

Field Summary
`static String` | `TYPE`

Method Summary
`void` | `addCacheEntry(String key, String value, String cacheName)`
`void` | `deleteCacheEntry(String key, String cacheName)`
`CacheObject[]` | `doGetKeyValue(String cacheName)`
`boolean` | `keyExists(String cacheName, String key)`
`void` | `purgeData(String cacheName)`
`void` | `purgeExpiredData(String cacheName)`

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

Method Detail

### addCacheEntry

    public void addCacheEntry(String key,
                              String value,
                              String cacheName)
                       throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### deleteCacheEntry

    public void deleteCacheEntry(String key,
                                 String cacheName)
                          throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### purgeData

    public void purgeData(String cacheName)
                   throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### purgeExpiredData

    public void purgeExpiredData(String cacheName)
                          throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### keyExists

    public boolean keyExists(String cacheName,
                             String key)
                      throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### doGetKeyValue

    public CacheObject[] doGetKeyValue(String cacheName)
                                throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD